#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  LXQt Desktop Pre-Install Instructions

- Next

  kwayland-5.115.0 for lxqt

- Up
- Home

# kwindowsystem-5.115.0 for lxqt

## Introduction to kwindowsystem

The kwindowsystem provides information about, and allows interaction with, the windowing system. It provides a high level API that is windowing system independent and has platform specific implementations.

This package is known to build and work properly using an LFS 12.1 platform.

### Important

This package is extracted from the KF5 set of packages. If KDE Frameworks-5.115.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.115/kwindowsystem-5.115.0.tar.xz

- Download MD5 sum: 7ff6c4358016468807c4d8c9ab9e0f5e

- Download size: 2.3 MB

- Estimated disk space required: 69 MB

- Estimated build time: 0.2 SBU

### kwindowsystem Dependencies

#### Required

extra-cmake-modules-5.115.0, Xorg Libraries, and (Qt-5.15.12 or qt-alternate-5.15.12)

## Installation of kwindowsystem

Install kwindowsystem by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr        \
          -DCMAKE_INSTALL_LIBEXECDIR=libexec \
          -DKDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_INSTALL_LIBEXECDIR=libexec`: This overrides the default in extra-cmake-modules, which is `/usr/lib/libexec` and is not FHS compliant.

`-DKDE_INSTALL_USE_QT_SYS_PATHS=ON`: This forces installation of Qt plugins in the same directory as Qt-5.15.12 itself. Otherwise they get installed into `/usr/mkspecs`, which is not FHS compliant.

## Contents

Installed Programs: None
Installed Library: libKF5WindowSystem.so
Installed Directories: /usr/lib/cmake/KF5WindowSystem, /usr/include/KF5, and /usr/lib/plugins/kf5

### Short Descriptions

`libKF5WindowSystem.so` | contains the KF5 Windowing API functions

- Prev

  LXQt Desktop Pre-Install Instructions

- Next

  kwayland-5.115.0 for lxqt

- Up
- Home